﻿@charset "UTF-8";
/*人物小卡 CSS*/

.popUserContactCard {
    position: relative;
}

.userpop {
    position: absolute;
    top: 15px;
    left: 15px;
    width: 260px;
    min-height: 105px;
    height: auto;
    z-index: 100;
    border: 1px solid #DFDFDF;
    background-color: #FFF;
    font-size: 14px;
    z-index: 9999;
}

    .userpop .userpopmeta {
        position: absolute;
        z-index: 4;
        top: 15px;
        left: 15px;
    }

        .userpop .userpopmeta span.upthumb {
            background-color: #fff;
            padding: 1px;
            -webkit-border-radius: 100px;
            -moz-border-radius: 100px;
            border-radius: 100px;
            overflow: hidden;
            display: INLINE-BLOCK;
            position: relative;
            zoom: 1;
        }

        .userpop .userpopmeta span.upname {
            display: inline-block;
        }

            .userpop .userpopmeta span.upname a,
            .userpop .userpopmeta span.upname {
                font-size: 14px;
                color: #303030;
            }

.userpopmeta span.upname {
    display: inline-block;
    width: 110px;
    vertical-align: bottom;
    min-height: 15px;
    max-height: 34px;
    overflow: hidden;
}

.userpop .userpopmeta span.lastActiveTime {
    width: 100%;
    display: inline-block;
    text-align: center;
    padding: 6px 0 3px 0;
    font-size: 12px;
    color: var(--color_A7A7A7);
    line-height: 14px;
}

/*條列項目*/
.userpop .userpopItemBox {
    font-size: 14px;
    line-height: 16px;
    margin: 0 10px;
    text-align: left;
}

.userpop .upinfo {
    margin: 0 0 2px 0;
    padding: 0;
    height: auto;
}

div.userpop .upinfo span {
    color: #999;
    vertical-align: top;
}

div.userpop .upinfo a {
    color: #BAAF94;
}

div.userpop .upinfo span.lable {
}

div.userpop .upinfo span.text {
    color: #BAAF94;
    vertical-align: top;
    display: inline-block;
    width: 105px;
}
/*按鈕*/
.userpop .upbtnset {
    text-align: center;
    margin: 10px 0 0 0;
}

    .userpop .upbtnset span.sendmsg,
    .userpop .upbtnset span.addContact {
        display: block;
        height: 30px;
        width: 109px;
        margin: 0 1px 0 0;
        background-color: #a5a5a5;
        padding: 10px 5px 10px 25px;
        color: #FFF;
        float: left;
        cursor: pointer;
    }

    .userpop .upbtnset span.sendmsg {
        background-image: url(../Images/sendmsg.gif);
        background-repeat: no-repeat;
        background-position: 12px center;
    }

    .userpop .upbtnset span.addContact {
        background-image: url(../Images/addContact.png);
        background-repeat: no-repeat;
        background-position: 12px center;
    }






/*人物小卡(TypeScript版本)*/

.userCardPopupMain {
    position: absolute;
    z-index: 111111;
}


.userCardMainView {
    font-size: 14px;
    display: inline-block;
    width: 360px;
    background: #FFFFFF;
    box-shadow: 0 3px 8px 0 rgba(0,0,0,0.30);
    border-radius: 5px;
}

    .userCardMainView .header {
        display: inline-block;
        width: 100%;
        position: relative;
        padding-bottom: 9px;
    }

    .userCardMainView.hasNoContent .header {
        padding-bottom: 4px;
    }

    .userCardMainView.hasNoContent .profileInfoListPane {
        display: none;
    }

    .userCardMainView.hasNoContent ~ .bottomBar.hasNoBtn {
        display: none;
    }

    .userCardMainView .header:after {
        content: '';
        display: inline-block;
        width: 320px;
        height: 1px;
        background: #EBEBEB;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
    }

    .userCardMainView.hasNoContent .header:after {
        display: none;
    }

    .userCardMainView .header .userInfoPane {
        margin-bottom: 15px;
        display: flex;
        align-items: flex-end;
    }

        .userCardMainView .header .userInfoPane .userIconPane {
            position: relative;
            line-height: 0;
            margin-top: 35px;
            margin-left: 30px;
        }

            .userCardMainView .header .userInfoPane .userIconPane .userIconImg {
                width: 68px;
                height: 68px;
                -webkit-border-radius: 50%;
                -moz-border-radius: 50%;
                border-radius: 50%;
                display: inline-block;
                border: 1px solid #EBEBEB;
                border-color: var(--color_EBEBEB);
            }

    .userCardMainView.hasOnlineStatus .userInfoPane .userIconPane .currentStatusBox {
        display: inline-block;
        position: absolute;
        bottom: 1px;
        right: 1px;
    }

    .userCardMainView .header .userInfoPane .addContactBtn {
        background-image: url(../Images/btn_favorite_n.png);
        background-repeat: no-repeat;
        background-position: center center;
        background-size: contain;
        position: absolute;
        cursor: pointer;
        width: 25px;
        height: 25px;
        top: 20px;
        right: 20px;
    }

        .userCardMainView .header .addContactBtn.highlight {
            background-image: url(../Images/btn_favorite_hl.png);
        }

    .userCardMainView .header .userInfoPane .userMainInfoContainer {
        padding-left: 10px;
        padding-top: 10px;
        box-sizing: border-box;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
    }

    .userCardMainView .header .stateBar {
        margin-top: 5px;
    }

    .userCardMainView .header .statusMessagePane {
        background: #EBEBEB;
        background: var(--color_EBEBEB);
        border-radius: 5px;
        padding: 8px 15px;
        font-size: 13px;
        color: #5B5B5B;
        color: var(--color_5B5B5B);
        font-weight: 400;
        margin-left: 30px;
        margin-right: 30px;
        margin-bottom: 15px;
    }

    .userCardMainView .header .pageCountTip {
        padding: 3px 12px;
        display: inline-block;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translate(-50%,50%);
        opacity: 0.8;
        background: #EBEBEB;
        border-radius: 10px;
        z-index: 1;
        line-height: 13px;
        font-size: 11px;
        color: #7F7F7F;
        text-align: center;
    }

    .userCardMainView .header .externalTitle {
        font-size: 12px;
        color: #01BAD4;
        line-height: 14px;
        margin-bottom: 2px;
    }

    .userCardMainView .header .userName {
        font-size: 18px;
        color: #373737;
        line-height: 22px;
        font-weight: bold;
        width: 194px;
    }
        .userCardMainView .header .userName.apiAccount {
            font-size: 13px;
            color: #7F7F7F;
            color: var(--color_7F7F7F);
            font-weight: normal;
            margin: 0;
        }

    .userCardMainView .header .userMainInfoContainer .mainTitle {
    }


    .userCardMainView .header .userMainInfoContainer.multiLine .userName {
        font-size: 14px;
        color: #373737;
        margin-top: auto;
        max-width: 194px;
        line-height: 17px;
    }


    .userCardMainView .header .subTitle1 {
        width: 100%;
        color: #7e7e7e;
        font-weight: bold;
    }

    .userCardMainView .header .subTitle2 {
        margin: 6px 0 3px 0;
        display: inline-block;
        line-height: 15px;
        font-size: 13px;
        color: var(--color_7F7F7F);
    }

        .userCardMainView .header .subTitle2.apiAccount {
            font-size: 18px;
            color: #373737;
            color: var(--color_373737);
            font-weight: bold;
            margin: 0;
        }

    .userCardMainView .header .statusContent {
        text-align: center;
        display: inline-block;
        line-height: 15px;
        border-right: 1px solid rgb(145, 145, 145);
        margin-right: 3px;
        padding-right: 3px;
        font-size: 13px;
        color: var(--color_7F7F7F);
    }

    .userCardMainView .profileInfoListPane {
        font-size: 14px;
        line-height: 16px;
        text-align: left;
        padding-top: 24px;
        padding-left: 40px;
        box-sizing: border-box;
        position: relative;
        overflow: hidden;
    }

        .userCardMainView .profileInfoListPane .jobInfoPaneContainer {
            max-height: 316px;
        }

        .userCardMainView .profileInfoListPane .profileInfoSection {
            margin-bottom: 15px;
        }

            .userCardMainView .profileInfoListPane .profileInfoSection:last-of-type {
                margin-bottom: 0px;
            }

            .userCardMainView .profileInfoListPane .profileInfoSection:last-of-type {
                margin-bottom: 15px;
            }

        .userCardMainView .profileInfoListPane .jspVerticalBar .jspDrag {
            width: 2px;
        }

        .userCardMainView .profileInfoListPane .jspVerticalBar, .jspVerticalBar .jspTrack {
            width: 5px;
        }

        .userCardMainView .profileInfoListPane .profileInfoSection .label {
            font-size: 15px;
            color: #7F7F7F;
            min-width: 85px;
            display: inline-block;
            margin-right: 10px;
            vertical-align: top;
        }

        .userCardMainView .profileInfoListPane .profileInfoSection .value {
            font-size: 15px;
            color: #373737;
            display: inline-block;
            vertical-align: top;
            width: 185px;
        }

        .userCardMainView .profileInfoListPane .arrow {
            width: 20px;
            height: 20px;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
            background-size: 20px 20px;
            background-position: center center;
            background-repeat: no-repeat;
            border: none;
        }

            .userCardMainView .profileInfoListPane .arrow:hover {
                background: #EBEBEB;
                border-radius: 13px;
                width: 26px;
                height: 60px;
                background-size: 20px 20px;
                background-position: center center;
                background-repeat: no-repeat;
            }

            .userCardMainView .profileInfoListPane .arrow.left {
                background-image: url(../Images/btn_nextSticker_l.png);
                left: 10px;
            }

                .userCardMainView .profileInfoListPane .arrow.left:hover {
                    left: 7px;
                }

            .userCardMainView .profileInfoListPane .arrow.right {
                background-image: url(../Images/btn_nextSticker_r.png);
                right: 10px;
            }

                .userCardMainView .profileInfoListPane .arrow.right:hover {
                    right: 7px;
                }

    .userCardMainView .bottomBar {
        padding-top: 23px;
        padding-bottom: 23px;
        position: relative;
        display: flex;
        justify-content: center;
    }

        .userCardMainView .bottomBar.hasNoBtn {
            padding: 0;
            height: 35px;
        }

    .userCardMainView.hasYScroll .bottomBar:before {
        content: '';
        display: inline-block;
        width: 320px;
        height: 1px;
        background: #DCDCDC;
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
    }


    .userCardMainView .btnPane {
        text-align: center;
        display: inline-block;
        cursor: pointer;
        width: 86px;
    }

        .userCardMainView .btnPane.showCallMenu {
            position: relative;
            cursor: initial;
        }

            .userCardMainView .btnPane.showCallMenu:hover .value {
                color: #FF8A4F;
                color: var(--color_FF8A4F);
            }


            .userCardMainView .btnPane.showCallMenu img {
                position: absolute;
                width: 10px;
                height: 6px;
                display: inline-block;
                right: 6px;
                bottom: 7px;
                cursor: pointer;
            }

    .userCardMainView .callMenu {
        background: #FFFFFF;
        box-shadow: 0 0 8px 0 rgba(0,0,0,0.30);
        border-radius: 2px;
        position: absolute;
        min-width: 80px;
        margin-top: 3px;
        left: 50%;
        transform: translateX(-50%);
        bottom: 67px;
    }

        .userCardMainView .callMenu .callOptionBtn {
            padding: 8px 16px;
            color: #5B5B5B;
            color: var(--color_5B5B5B);
            line-height: 17px;
            transition: 0.2s;
            font-size: 16px;
            color: #373737;
            color: var(--color_373737);
        }

            .userCardMainView .callMenu .callOptionBtn:hover {
                background-color: #ebebeb;
                background-color: var(--color_EBEBEB);
                cursor: pointer;
            }

    .userCardMainView .btnPane {
        margin: 0px 15px;
    }

        .userCardMainView .btnPane .icon {
            width: 30px;
            height: 30px;
            margin-bottom: 3px;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: contain;
            display: inline-block;
        }

        .userCardMainView .btnPane .value {
            line-height: 18px;
            font-size: 12px;
            color: #919191;
            color: var(--color_919191);
            text-align: center;
        }

        .userCardMainView .btnPane:hover div.value {
            color: #FF8A4F;
            color: var(--color_FF8A4F);
        }

        .userCardMainView .btnPane .icon.imIcon {
            background-image: url(../Images/btn_card_chat_n.png);
        }

        .userCardMainView .btnPane:hover .imIcon.icon {
            background-image: url(../Images/btn_card_chat_hl.png);
        }



        .userCardMainView .btnPane .audioCallIcon.icon {
            background-image: url(../Images/btn_card_freeCall_n.png);
        }

        .userCardMainView .btnPane:hover .audioCallIcon.icon {
            background-image: url(../Images/btn_card_freeCall_hl.png);
        }



        .userCardMainView .btnPane .videoCallIcon.icon {
            background-image: url(../Images/btn_card_videoCall_n.png);
        }

        .userCardMainView .btnPane:hover .videoCallIcon.icon {
            background-image: url(../Images/btn_card_videoCall_hl.png);
        }


/*外部人員小卡差異*/
.external .userCardMainView .header .userInfoPane .userIconPane .userIconImg {
    border: 1px solid rgba(0,0,0,0.05);
    border-radius: 6.8px;
    -moz-border-border-radius: 6.8px;
    -webkit-border-radius: 6.8px;
}

.external .userCardMainView .header .subTitle1 {
    font-size: 12px;
    color: #919191;
    color: var(--color_919191);
    font-weight: normal;
    margin: 5px 0 0 0;
}

.external .userCardMainView .header .subTitle2 {
    font-size: 13px;
    color: #7E7E7E;
}
